filter.hpp File Reference
`#include <functional>`

Go to the source code of this file.

## Classes

class | Gecode::BrancherFilter< View >
| Class storing a branch filter function. More...
class | Gecode::BrancherNoFilter< View >
| Class withot a branch filter function. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Typedefs

template<class Var>
using | Gecode::BranchFilter
| Function type for branch filter functions.